public class ASTExpr {
    final static int INT=0, ADD=1, MUL=2 ;
    int tag ;
    int asInt ; // value used if tag = INT
    ASTExpr e1, e2 ; // used if ADD or MUL
    
    //Constructors
    
    ASTExpr(int i) { this.tag = INT ; this.asInt = i ; }
    
    ASTExpr(ASTExpr e1, int op, ASTExpr e2) {
	this.tag = op; this.e1 = e1; this.e2 = e2; }

    //evaluation of an expression
    int eval() {
	switch (this.tag) {
	case ASTExpr.INT: return this.asInt;
	case ASTExpr.ADD: return this.e1.eval()+this.e2.eval();
	case ASTExpr.MUL: return  this.e1.eval()*this.e2.eval();
	}
	throw new Error("incorrect tag"); 
    }

}