%{
// Section du code initial C
// Exemple d'analyseur lexical
  void deal_with_number(char* s);

%}
    // Definition des macros
CHIFFRE         [0-9]
LETTRE          [A-Za-z]
%%
{CHIFFRE}+       { deal_with_number(yytext);}
[\t \n]             ;
.             {printf ("pasreconnu !\n "); exit(1)  ;}
%%
// Section des procedures auxiliaires C

void deal_with_number(char* s)
{
  printf("found a number : %d!\n",atoi(s));
}


int main ()
{
  printf("lexing : start\n");

  yylex();

  printf("lexing:end\n");
  
  return 0;
}

