%{
// Section du code initial C
// inclusion du .h contenant les defs des fonctions yacc
  
#include "y.tab.h"
#include <stdio.h>
%}
DIGIT         [0-9]
%%
{DIGIT}+ {yylval=atoi(yytext);return TK_INT;}
"+"      {return TK_PLUS;}
"*"      {return TK_TIMES;}
";"      {return TK_SEMICOL;}
[ \t \n] ;
%%

