/*Source Code From Laure Gonnord*/
%{ // code initial
#include <stdio.h>
%}
 
%token TK_INT TK_PLUS TK_TIMES  TK_SEMICOL
%left TK_PLUS
%left TK_TIMES
%start S
%%
 // regles grammaires
S:      E TK_SEMICOL     {printf("result : %d\n",$1);}
;
E:
          TK_INT         { $$=$1; }
        | E TK_PLUS E    { $$=$1+$3; }
        | E TK_TIMES E   { $$=$1*$3; }
;
%%
 //Fonctions et programme principal

extern FILE* yyin;

int main(void) {
  yyin = stdin;
  yyparse();
  printf("end of parsing\n");
}
